Skip to main content
GET
/
v1
/
models
/
{model_id}
import os
from cerebras.cloud.sdk import Cerebras

client = Cerebras(api_key=os.environ.get("CEREBRAS_API_KEY"))

model = client.models.retrieve("gpt-oss-120b")

print(model)
{
  "id": "gpt-oss-120b",
  "object": "model",
  "created": 1721692800,
  "owned_by": "Cerebras"
}
Fetches a model instance, offering key details about the model, including its owner and permissions.

Path Parameters

model_id
string
required
The ID of the model to retrieve.Available options:
  • gpt-oss-120b
  • zai-glm-4.7 (preview)
  • gemma-4-31b (preview)

Response

id
string
The model identifier.
object
string
The object type, which is always model.
created
integer
The Unix timestamp (in seconds) of when the model was created.
owned_by
string
The organization that owns the model.
import os
from cerebras.cloud.sdk import Cerebras

client = Cerebras(api_key=os.environ.get("CEREBRAS_API_KEY"))

model = client.models.retrieve("gpt-oss-120b")

print(model)
{
  "id": "gpt-oss-120b",
  "object": "model",
  "created": 1721692800,
  "owned_by": "Cerebras"
}